# Uses of Interface
ch.qos.logback.classic.spi.ILoggingEvent

Packages that use ILoggingEvent
Package
Description
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.boolex
ch.qos.logback.classic.filter
ch.qos.logback.classic.html
Contains classes to format log output in HTML.
ch.qos.logback.classic.layout
ch.qos.logback.classic.log4j
Contains support for log4j output formats.
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.classic.net.server
Provides a robust logging server
ch.qos.logback.classic.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.classic.pattern.color
ch.qos.logback.classic.sift
ch.qos.logback.classic.spi
Contains core classes of logback classic.
ch.qos.logback.classic.util
Contains utility classes.

## Uses of ILoggingEvent in ch.qos.logback.classic

Methods in ch.qos.logback.classic that return types with arguments of type ILoggingEvent
Modifier and Type
Method
Description
`Appender<ILoggingEvent>`
Logger.`getAppender(String name)`
`Iterator<Appender<ILoggingEvent>>`
Logger.`iteratorForAppenders()`
Methods in ch.qos.logback.classic with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`void`
Logger.`callAppenders(ILoggingEvent event)`
Invoke all the appenders of this logger.
`String`
PatternLayout.`doLayout(ILoggingEvent event)`
`protected boolean`
AsyncAppender.`isDiscardable(ILoggingEvent event)`
Events of level TRACE, DEBUG and INFO are deemed to be discardable.
`protected void`
AsyncAppender.`preprocess(ILoggingEvent eventObject)`
Method parameters in ch.qos.logback.classic with type arguments of type ILoggingEvent
Modifier and Type
Method
Description
`void`
Logger.`addAppender(Appender<ILoggingEvent> newAppender)`
`boolean`
Logger.`detachAppender(Appender<ILoggingEvent> appender)`
Remove the appender passed as parameter form the list of appenders.
`boolean`
Logger.`isAttached(Appender<ILoggingEvent> appender)`

## Uses of ILoggingEvent in ch.qos.logback.classic.boolex

Methods in ch.qos.logback.classic.boolex with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`boolean`
IEvaluator.`doEvaluate(ILoggingEvent event)`
`boolean`
OnErrorEvaluator.`evaluate(ILoggingEvent event)`
Return true if event passed as parameter has level ERROR or higher, returns false otherwise.
`boolean`
OnMarkerEvaluator.`evaluate(ILoggingEvent event)`
Return true if event passed as parameter contains one of the specified user-markers.
`protected Object[]`
JaninoEventEvaluator.`getParameterValues(ILoggingEvent loggingEvent)`

## Uses of ILoggingEvent in ch.qos.logback.classic.filter

Methods in ch.qos.logback.classic.filter with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`FilterReply`
LevelFilter.`decide(ILoggingEvent event)`
`FilterReply`
ThresholdFilter.`decide(ILoggingEvent event)`

## Uses of ILoggingEvent in ch.qos.logback.classic.html

Methods in ch.qos.logback.classic.html with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`String`
HTMLLayout.`doLayout(ILoggingEvent event)`
`void`
DefaultThrowableRenderer.`render(StringBuilder sbuf, ILoggingEvent event)`
Method parameters in ch.qos.logback.classic.html with type arguments of type ILoggingEvent
Modifier and Type
Method
Description
`void`
HTMLLayout.`setThrowableRenderer(IThrowableRenderer<ILoggingEvent> throwableRenderer)`

## Uses of ILoggingEvent in ch.qos.logback.classic.layout

Methods in ch.qos.logback.classic.layout with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`String`
TTLLLayout.`doLayout(ILoggingEvent event)`

## Uses of ILoggingEvent in ch.qos.logback.classic.log4j

Methods in ch.qos.logback.classic.log4j with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`String`
XMLLayout.`doLayout(ILoggingEvent event)`
Formats a `ILoggingEvent` in conformity with the log4j.dtd.

## Uses of ILoggingEvent in ch.qos.logback.classic.net

Methods in ch.qos.logback.classic.net that return types with arguments of type ILoggingEvent
Modifier and Type
Method
Description
`Layout<ILoggingEvent>`
SyslogAppender.`buildLayout()`
`PreSerializationTransformer<ILoggingEvent>`
SocketAppender.`getPST()`
`PreSerializationTransformer<ILoggingEvent>`
SSLSocketAppender.`getPST()`
`protected Layout<ILoggingEvent>`
SMTPAppender.`makeSubjectLayout(String subjectStr)`
Methods in ch.qos.logback.classic.net with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`protected boolean`
SMTPAppender.`eventMarksEndOfLife(ILoggingEvent eventObject)`
`protected void`
SocketAppender.`postProcessEvent(ILoggingEvent event)`
`protected void`
SSLSocketAppender.`postProcessEvent(ILoggingEvent event)`
`protected void`
SMTPAppender.`subAppend(CyclicBuffer<ILoggingEvent> cb, ILoggingEvent event)`
Perform SMTPAppender specific appending actions, mainly adding the event to a cyclic buffer.
`Serializable`
LoggingEventPreSerializationTransformer.`transform(ILoggingEvent event)`
Method parameters in ch.qos.logback.classic.net with type arguments of type ILoggingEvent
Modifier and Type
Method
Description
`protected void`
SMTPAppender.`fillBuffer(CyclicBuffer<ILoggingEvent> cb, StringBuffer sbuf)`
`protected void`
SMTPAppender.`subAppend(CyclicBuffer<ILoggingEvent> cb, ILoggingEvent event)`
Perform SMTPAppender specific appending actions, mainly adding the event to a cyclic buffer.
Constructor parameters in ch.qos.logback.classic.net with type arguments of type ILoggingEvent
Modifier
Constructor
Description
``
`SMTPAppender(EventEvaluator<ILoggingEvent> eventEvaluator)`
Use the parameter as the `EventEvaluator` for this SMTPAppender.

## Uses of ILoggingEvent in ch.qos.logback.classic.net.server

Methods in ch.qos.logback.classic.net.server that return types with arguments of type ILoggingEvent
Modifier and Type
Method
Description
`protected PreSerializationTransformer<ILoggingEvent>`
ServerSocketAppender.`getPST()`
`protected PreSerializationTransformer<ILoggingEvent>`
SSLServerSocketAppender.`getPST()`
Methods in ch.qos.logback.classic.net.server with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`protected void`
ServerSocketAppender.`postProcessEvent(ILoggingEvent event)`
`protected void`
SSLServerSocketAppender.`postProcessEvent(ILoggingEvent event)`

## Uses of ILoggingEvent in ch.qos.logback.classic.pattern

Methods in ch.qos.logback.classic.pattern with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`String`
CallerDataConverter.`convert(ILoggingEvent le)`
`String`
ContextNameConverter.`convert(ILoggingEvent event)`
Return the name of the logger context's name.
`String`
DateConverter.`convert(ILoggingEvent le)`
`String`
FileOfCallerConverter.`convert(ILoggingEvent le)`
`String`
LevelConverter.`convert(ILoggingEvent le)`
`String`
LineOfCallerConverter.`convert(ILoggingEvent le)`
`String`
LineSeparatorConverter.`convert(ILoggingEvent event)`
`String`
LocalSequenceNumberConverter.`convert(ILoggingEvent event)`
`String`
MarkerConverter.`convert(ILoggingEvent le)`
`String`
MDCConverter.`convert(ILoggingEvent event)`
`String`
MessageConverter.`convert(ILoggingEvent event)`
`String`
MethodOfCallerConverter.`convert(ILoggingEvent le)`
`String`
NamedConverter.`convert(ILoggingEvent event)`
`String`
NopThrowableInformationConverter.`convert(ILoggingEvent event)`
`String`
PrefixCompositeConverter.`convert(ILoggingEvent event)`
`String`
PropertyConverter.`convert(ILoggingEvent event)`
`String`
RelativeTimeConverter.`convert(ILoggingEvent event)`
`String`
SyslogStartConverter.`convert(ILoggingEvent event)`
`String`
ThreadConverter.`convert(ILoggingEvent event)`
`String`
ThrowableProxyConverter.`convert(ILoggingEvent event)`
`protected String`
ClassOfCallerConverter.`getFullyQualifiedName(ILoggingEvent event)`
`protected String`
LoggerConverter.`getFullyQualifiedName(ILoggingEvent event)`
`protected abstract String`
NamedConverter.`getFullyQualifiedName(ILoggingEvent event)`
Gets fully qualified name from event.
`protected void`
ExtendedThrowableProxyConverter.`prepareLoggingEvent(ILoggingEvent event)`
`protected String`
PrefixCompositeConverter.`transform(ILoggingEvent event, String in)`
Method parameters in ch.qos.logback.classic.pattern with type arguments of type ILoggingEvent
Modifier and Type
Method
Description
`boolean`
EnsureExceptionHandling.`chainHandlesThrowable(Converter<ILoggingEvent> head)`
This method computes whether a chain of converters handles exceptions or not.
`void`
EnsureExceptionHandling.`process(Context context, Converter<ILoggingEvent> head)`
This implementation checks if any of the converters in the chain handles exceptions.

## Uses of ILoggingEvent in ch.qos.logback.classic.pattern.color

Methods in ch.qos.logback.classic.pattern.color with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`protected String`
HighlightingCompositeConverter.`getForegroundColorCode(ILoggingEvent event)`

## Uses of ILoggingEvent in ch.qos.logback.classic.sift

Methods in ch.qos.logback.classic.sift that return types with arguments of type ILoggingEvent
Modifier and Type
Method
Description
`Appender<ILoggingEvent>`
SiftingJoranConfigurator.`getAppender()`
`SiftingJoranConfiguratorBase<ILoggingEvent>`
AppenderFactoryUsingJoran.`getSiftingJoranConfigurator(String discriminatingValue)`
Methods in ch.qos.logback.classic.sift with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`protected boolean`
SiftingAppender.`eventMarksEndOfLife(ILoggingEvent event)`
`String`
ContextBasedDiscriminator.`getDiscriminatingValue(ILoggingEvent event)`
Return the name of the current context name as found in the logging event.
`String`
JNDIBasedContextDiscriminator.`getDiscriminatingValue(ILoggingEvent event)`
Return the name of the current context name as found in the logging event.
`String`
MDCBasedDiscriminator.`getDiscriminatingValue(ILoggingEvent event)`
Return the value associated with an MDC entry designated by the Key property.
`protected long`
SiftingAppender.`getTimestamp(ILoggingEvent event)`
Method parameters in ch.qos.logback.classic.sift with type arguments of type ILoggingEvent
Modifier and Type
Method
Description
`void`
SiftingAppender.`setDiscriminator(Discriminator<ILoggingEvent> discriminator)`

## Uses of ILoggingEvent in ch.qos.logback.classic.spi

Classes in ch.qos.logback.classic.spi that implement ILoggingEvent
Modifier and Type
Class
Description
`class`
`LoggingEvent`
The internal representation of logging events.
`class`
`LoggingEventVO`
A read-only and serializable implementation of `ILoggingEvent`.
Methods in ch.qos.logback.classic.spi with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`static LoggingEventVO`
LoggingEventVO.`build(ILoggingEvent le)`

## Uses of ILoggingEvent in ch.qos.logback.classic.util

Methods in ch.qos.logback.classic.util with parameters of type ILoggingEvent
Modifier and Type
Method
Description
`static int`
LevelToSyslogSeverity.`convert(ILoggingEvent event)`